Subject: bug#44578: Investigating current preview problem

From: Hugo Raguet <[email-masked]>
Date: Thu, 6 Jan 2022 17:07:10 +0100

On 06/01/2022 15:05, David Kastrup wrote:
> Tassilo Horn <[email-masked]> writes
>>
>> ...
>>
> ...
> It was a well-meant pitch but in the end did not manage to make it to my
> home plate.

It is a pity from my point of view because I know there simply is no legal or financial risk (my organization would just have paid for a service I need for my work, without knowing further about it). But I also understand that David Kastrup you do not want to take any risk, especially in view of the lack of motivation.

>> So it's certainly not individuals vs. organization.
>>
>> Fortunately for you guys, a small group of individuals has been found
>> who will pay to get your bug fixed.
>>
>>> Bug still pending...
> 
> He did say that the main thing I had to fear was getting blamed on the
> mailing list for not doing what I had been paid for.  It would appear
> that this does not really depend all that much on payment.

Again, I hope you are not taking my previous message for a blame. There was no agreement, so you have no obligation, so it is not your fault if the bug is still pending.

I still think that it is good practice to update the status of the bug report ; the last message was implying that we were on the verge of solving the problem. Now if the bug is actually fixed by this “small group of individuals”, here seems also a good place to report it!

>> Have you tried GNU AUCTeX 13.0.15 from
>>
>>    https://elpa.gnu.org/packages/auctex.html
>>
>> with the preview.sty version shipping with that, yet?
> 
> Given that I am unable to reproduce the problem on my system (I have no
> proper idea why), that would be a welcome data point.

I am not in good position to report if this version of AUCTeX is working, because I actually never used AUCTeX. My attention came to this problem because preview is actually used in packages such as pst-pdf (see for instance https://tex.stackexchange.com/q/617229). If the fixed preview package make it to texlive, I might be able to test it in the near future.

Regards, HR